Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000916Core InformPhrases and functional programmingpublic2012-05-08 14:292014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000916: Example sentence from WI 6.15 does not compile
DescriptionThe attached source provokes

- - - -
Problem. In the sentence 'if any colour is found begin' , I was expecting to read a condition, but instead found some text that I couldn't understand - 'any colour is found'.
I was trying to match this phrase:

if (any colour is found - a condition):
This was what I found out:

any colour is found = something unrecognised
- - - -
Minimal Source Text To Reproduce
There is a room.
Colour is a kind of value. The colours are red, orange, yellow, green, blue, indigo and violet. A colour 
can be found or unfound.
When play begins:
	if any colour is found:
		do nothing.
Additional InformationTaken from http://www.intfiction.org/forum/viewtopic.php?f=7&t=4959. [^]
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002276)
graham (administrator)
2014-01-12 11:28

I think I simply forgot to type "any" into the list of determiners Inform can read. Done.

- Issue History
Date Modified Username Field Change
2012-05-08 14:29 EmacsUser New Issue
2012-05-08 14:31 EmacsUser Additional Information Updated View Revisions
2012-05-09 04:30 curiousdannii Status new => confirmed
2014-01-12 11:28 graham Note Added: 0002276
2014-01-12 11:28 graham Status confirmed => resolved
2014-01-12 11:28 graham Resolution open => fixed
2014-01-12 11:28 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker